package com.base.biz.model.enums;

public enum TargetTypeEnums {

    FIXED_TARGET("0", "固定目标"),MOVING_TARGET("1", "移动目标"),REGIONAL_TARGET("2", "区域目标"),UNDEFINED("-1", "未知");

    private String key;

    private String value;

    TargetTypeEnums(String key, String value){
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static TargetTypeEnums getTargetTypeEnums(String key){
        for (TargetTypeEnums targetTypeEnums:TargetTypeEnums.values()){
            if (targetTypeEnums.key.equals(key)){
                return targetTypeEnums;
            }
        }
        return null;
    }
}
